%define upstream_name    Math-Matrix
%define upstream_version 0.94

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Matrix data type (transpose, multiply etc)
License:    GPL or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::Trig) >= 1.60.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
The following methods are available: concat, transpose, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.940.0-3.mga10
+ Revision: 2206840
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.940.0-2.mga9
+ Revision: 1814096
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.940.0-1.mga9
+ Revision: 1691404
- update to 0.94

* Mon Nov 09 2020 tv <tv> 0.920.0-1.mga8
+ Revision: 1643882
- update to 0.92

* Tue Aug 11 2020 tv <tv> 0.910.0-1.mga8
+ Revision: 1613209
- update to 0.91

* Mon Aug 10 2020 tv <tv> 0.900.0-1.mga8
+ Revision: 1612577
- update to 0.9

* Wed Feb 12 2020 umeabot <umeabot> 0.800.0-7.mga8
+ Revision: 1495589
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.800.0-6.mga7
+ Revision: 1269234
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-5.mga6
+ Revision: 1029674
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.800.0-4.mga6
+ Revision: 930876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.800.0-3.mga5
+ Revision: 744673
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.800.0-2.mga5
+ Revision: 685367
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.800.0-1.mga5
+ Revision: 593646
- update to 0.8

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 512876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 369618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.5-2.mga1
+ Revision: 22600
- cleaning spec file
- imported package perl-Math-Matrix

